<%--

  Copyright (c) 2005-2007 CodeDroids ApS (http://www.codedroids.com)
 
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.
 
  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
  Lesser General Public License for more details.
 
  For further information about CodeDroids ApS, please see the
  company website: http://www.codedroids.com
  
  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
  
  $LastChangedRevision: 118 $
  $LastChangedDate: 2007-02-20 17:26:56 +0100 (Tue, 20 Feb 2007) $
  
--%><%@ 
taglib prefix="cms" uri="http://www.opencms.org/taglib/cms" %><%@ 
page import="java.util.*, org.opencms.main.*, org.opencms.jsp.*, org.opencms.workplace.*, org.opencms.workplace.tools.*" %><%
  CmsJspActionElement cms = new CmsJspActionElement(pageContext, request, response); 
  Locale wpLoc = cms.getRequestContext().getLocale();
  // above should result in same locale as:
  // HttpSession sess = cms.getRequest().getSession();
  // CmsWorkplaceSettings sett = (CmsWorkplaceSettings)sess.getAttribute(CmsWorkplaceManager.SESSION_WORKPLACE_SETTINGS);
  // Locale x = sett.getUserSettings().getLocale();
%>
<html>
<head>
<link rel='stylesheet' type='text/css' href='<cms:link>/system/modules/com.codedroids.oc.forms/resources/tool.css</cms:link>'>
<link rel='stylesheet' type='text/css' href='<cms:link>/system/workplace/commons/style/new_admin.css</cms:link>'>
<link rel="stylesheet" type="text/css" href="<%= CmsWorkplace.getResourceUri("components/js_calendar/calendar-opencms.css") %>">
<script type="text/javascript" src="<%= CmsWorkplace.getResourceUri("admin/javascript/general.js") %>"></script>
<script type="text/javascript" src="<%= CmsWorkplace.getResourceUri("editors/xmlcontent/edit.js") %>"></script>
<script type="text/javascript" src="<%= CmsWorkplace.getResourceUri("editors/xmlcontent/help.js") %>"></script>
<script type="text/javascript" src="<%= CmsWorkplace.getResourceUri("commons/tree.js") %>"></script>
<script type="text/javascript" src="<%= CmsWorkplace.getResourceUri("components/widgets/fileselector.js") %>"></script>
<script type="text/javascript" src="<%= CmsWorkplace.getResourceUri("components/js_calendar/calendar.js") %>"></script>
<script type="text/javascript" src="<%= CmsWorkplace.getResourceUri("components/js_calendar/lang/calendar-" + wpLoc.toString() + ".js") %>"></script>
<script type="text/javascript" src="<%= CmsWorkplace.getResourceUri("components/js_calendar/calendar-setup.js") %>"></script>
<script type="text/javascript">
<!--
// flag indicating if form initialization is finished
var initialized = false;
// the OpenCms context path
var contextPath = "<%= OpenCms.getSystemInfo().getOpenCmsContext() %>";

// action parameters of the form
var actionAddElement = "addelement";
var actionRemoveElement = "removeelement";
function init() {
	initVfsFileSelector();
	setTimeout("scrollForm();", 200);
	initialized = true;
}

function exitEditor() {
	try {
		// close file selector popup if present
		closeTreeWin();
	} catch (e) {}
}
function initVfsFileSelector() {
	initResources("UTF-8", "<%= CmsWorkplace.VFS_PATH_WORKPLACE %>", "<%= CmsWorkplace.VFS_PATH_RESOURCES %>", "<%= OpenCms.getSystemInfo().getOpenCmsContext() %>");
}
// -->
</script>
</head>
<body onLoad='init();' onUnload='exitEditor();' style="width: 100%; padding: 0; margin: 0;">
<span id="loaderContainer" style="height:0; width:0; visibility:hidden !important;"></span>
<table cellspacing='0' cellpadding='0' border='0' style="width: 100%; padding: 0; margin: 0;">
  <tr>
    <td id='screenH'>
      <div class='pathbar'>
	<span class="link" onClick="openPage('<cms:link><%= CmsToolManager.VIEW_JSPPAGE_LOCATION %></cms:link>?path=/');"><a href='<cms:link><%= CmsToolManager.VIEW_JSPPAGE_LOCATION %></cms:link>?path=/'><cms:label>GUI_ADMIN_VIEW_ROOT_NAME_0</cms:label></a></span>
        &nbsp;&gt;&nbsp;
	<span class="link linkdisabled"><%= request.getParameter("ToolName") %></span>&nbsp;
      </div>
      <div class='screenTitle'>
	<table width='100%' cellspacing='0'>
	  <tr>
	    <td>
              <%= request.getParameter("ToolName") %>
	    </td>
            <td class='uplevel'>
              <span class="link" onClick="openPage('<cms:link><%= CmsToolManager.VIEW_JSPPAGE_LOCATION %></cms:link>?path=/');"><img src='<%= CmsWorkplace.getResourceUri("admin/images/up.png") %>' alt='<cms:label>GUI_ADMIN_VIEW_UPLEVEL_0</cms:label>' title='<cms:label>GUI_ADMIN_VIEW_UPLEVEL_0</cms:label>'>&nbsp;<a href='<cms:link><%= CmsToolManager.VIEW_JSPPAGE_LOCATION %></cms:link>?path=/'><cms:label>GUI_ADMIN_VIEW_UPLEVEL_0</cms:label></a></span>
            </td>
           </tr>
	</table>
      </div>
    </td>
  </tr>
  <tr>
    <td style="padding: 10px; width: 100%;">
